# Class: oDatabase

## $. oDatabase

A class to access the contents of the Harmony database from a scene.

#### new $.oDatabase()

openHarmony/openHarmony_database.js, line 58
  The constructor for the $.oDataBase.

### Methods

#### getEnvironments(){Array.<string>}

openHarmony/openHarmony_database.js, line 80
  Lists the environments existing on the local database

  ##### Returns:

  Type | Description
  --- | ---
  Array.<string> | The list of names of environments

#### getJobs(environment){Array.<string>}

openHarmony/openHarmony_database.js, line 97
  Lists the jobs in the given environment in the local database

  Name | Type | Description
  --- | --- | ---
  `environment` | string | optional The name of the environment to return the jobs from. Returns the jobs from the current environment by default.

  ##### Returns:

  Type | Description
  --- | ---
  Array.<string> | The list of job names in the environment.

#### getScenes(job){Array.<string>}

openHarmony/openHarmony_database.js, line 120
  Lists the scenes in the given environment in the local database

  Name | Type | Description
  --- | --- | ---
  `job` | string | optional The name of the jobs to return the scenes from. Returns the scenes from the current job by default.

  ##### Returns:

  Type | Description
  --- | ---
  Array.<string> | The list of scene names in the job.